// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: common/contact.proto

package common

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ContactSpecification int32

const (
	ContactSpecification_PHONE ContactSpecification = 0
	ContactSpecification_FAX   ContactSpecification = 1
	ContactSpecification_EMAIL ContactSpecification = 2
)

// Enum value maps for ContactSpecification.
var (
	ContactSpecification_name = map[int32]string{
		0: "PHONE",
		1: "FAX",
		2: "EMAIL",
	}
	ContactSpecification_value = map[string]int32{
		"PHONE": 0,
		"FAX":   1,
		"EMAIL": 2,
	}
)

func (x ContactSpecification) Enum() *ContactSpecification {
	p := new(ContactSpecification)
	*p = x
	return p
}

func (x ContactSpecification) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ContactSpecification) Descriptor() protoreflect.EnumDescriptor {
	return file_common_contact_proto_enumTypes[0].Descriptor()
}

func (ContactSpecification) Type() protoreflect.EnumType {
	return &file_common_contact_proto_enumTypes[0]
}

func (x ContactSpecification) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ContactSpecification.Descriptor instead.
func (ContactSpecification) EnumDescriptor() ([]byte, []int) {
	return file_common_contact_proto_rawDescGZIP(), []int{0}
}

type KeyValueContact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   ContactSpecification `protobuf:"varint,1,opt,name=key,proto3,enum=common.ContactSpecification" json:"key,omitempty"`
	Value string               `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *KeyValueContact) Reset() {
	*x = KeyValueContact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_contact_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeyValueContact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeyValueContact) ProtoMessage() {}

func (x *KeyValueContact) ProtoReflect() protoreflect.Message {
	mi := &file_common_contact_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeyValueContact.ProtoReflect.Descriptor instead.
func (*KeyValueContact) Descriptor() ([]byte, []int) {
	return file_common_contact_proto_rawDescGZIP(), []int{0}
}

func (x *KeyValueContact) GetKey() ContactSpecification {
	if x != nil {
		return x.Key
	}
	return ContactSpecification_PHONE
}

func (x *KeyValueContact) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type Contact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int64              `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	FirstName      string             `protobuf:"bytes,2,opt,name=firstName,proto3" json:"firstName,omitempty"`
	LastName       string             `protobuf:"bytes,3,opt,name=lastName,proto3" json:"lastName,omitempty"`
	PatronymicName string             `protobuf:"bytes,4,opt,name=patronymicName,proto3" json:"patronymicName,omitempty"`
	Info           []*KeyValueContact `protobuf:"bytes,20,rep,name=info,proto3" json:"info,omitempty"` //map<int32, string> info = 20;
}

func (x *Contact) Reset() {
	*x = Contact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_contact_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Contact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Contact) ProtoMessage() {}

func (x *Contact) ProtoReflect() protoreflect.Message {
	mi := &file_common_contact_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Contact.ProtoReflect.Descriptor instead.
func (*Contact) Descriptor() ([]byte, []int) {
	return file_common_contact_proto_rawDescGZIP(), []int{1}
}

func (x *Contact) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Contact) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *Contact) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *Contact) GetPatronymicName() string {
	if x != nil {
		return x.PatronymicName
	}
	return ""
}

func (x *Contact) GetInfo() []*KeyValueContact {
	if x != nil {
		return x.Info
	}
	return nil
}

var File_common_contact_proto protoreflect.FileDescriptor

var file_common_contact_proto_rawDesc = []byte{
	0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x22, 0x57,
	0x0a, 0x0f, 0x4b, 0x65, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63,
	0x74, 0x12, 0x2e, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1c,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x53,
	0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x03, 0x6b, 0x65,
	0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xa8, 0x01, 0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x74,
	0x61, 0x63, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a,
	0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69,
	0x63, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2b, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x14, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4b, 0x65, 0x79,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x04, 0x69, 0x6e,
	0x66, 0x6f, 0x2a, 0x35, 0x0a, 0x14, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x53, 0x70, 0x65,
	0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x09, 0x0a, 0x05, 0x50, 0x48,
	0x4f, 0x4e, 0x45, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x46, 0x41, 0x58, 0x10, 0x01, 0x12, 0x09,
	0x0a, 0x05, 0x45, 0x4d, 0x41, 0x49, 0x4c, 0x10, 0x02, 0x42, 0x66, 0x0a, 0x0a, 0x63, 0x6f, 0x6d,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x42, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73,
	0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64,
	0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xa2,
	0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x10, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65,
	0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xca, 0x02, 0x06, 0x43, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_contact_proto_rawDescOnce sync.Once
	file_common_contact_proto_rawDescData = file_common_contact_proto_rawDesc
)

func file_common_contact_proto_rawDescGZIP() []byte {
	file_common_contact_proto_rawDescOnce.Do(func() {
		file_common_contact_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_contact_proto_rawDescData)
	})
	return file_common_contact_proto_rawDescData
}

var file_common_contact_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_common_contact_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_common_contact_proto_goTypes = []interface{}{
	(ContactSpecification)(0), // 0: common.ContactSpecification
	(*KeyValueContact)(nil),   // 1: common.KeyValueContact
	(*Contact)(nil),           // 2: common.Contact
}
var file_common_contact_proto_depIdxs = []int32{
	0, // 0: common.KeyValueContact.key:type_name -> common.ContactSpecification
	1, // 1: common.Contact.info:type_name -> common.KeyValueContact
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_common_contact_proto_init() }
func file_common_contact_proto_init() {
	if File_common_contact_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_contact_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeyValueContact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_contact_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Contact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_contact_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_contact_proto_goTypes,
		DependencyIndexes: file_common_contact_proto_depIdxs,
		EnumInfos:         file_common_contact_proto_enumTypes,
		MessageInfos:      file_common_contact_proto_msgTypes,
	}.Build()
	File_common_contact_proto = out.File
	file_common_contact_proto_rawDesc = nil
	file_common_contact_proto_goTypes = nil
	file_common_contact_proto_depIdxs = nil
}
